%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           snappy
Version:        1.1.7
Release:        %mkrel 1
Summary:        Fast compression and decompression library
Group:          System/Libraries
License:        BSD
URL:            http://google.github.io/snappy/
Source0:        https://github.com/google/snappy/archive/%{version}/%{name}-%{version}.tar.xz
# add missing dependency on gtest to snappy_unittest
Patch0:         %{name}-gtest.patch
# fix version macros in snappy-stubs-public.h.in (BZ #1527850)
Patch1:         %{name}-version-macros.patch

BuildRequires:  cmake
BuildRequires:  gtest-devel

%description
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.


%package -n %{libname}
Summary:        Library of Snappy
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < 1.1.3-4

%description -n %{libname}
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression. For instance, compared to
the fastest mode of zlib, Snappy is an order of magnitude faster for most
inputs, but the resulting compressed files are anywhere from 20% to 100%
bigger.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.1.3-4

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%apply_patches


%build
%cmake
%make_build


%install
%make_install -C build

rm -rf %{buildroot}%{_datadir}/doc/snappy/
# we don't want these
find %{buildroot} -name '*.la' -delete

# create pkgconfig file
cat << EOF >snappy.pc
prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
includedir=%{_includedir}
libdir=%{_libdir}

Name: %{name}
Description: A fast compression/decompression library
Version: %{version}
Cflags: -I\${includedir}
Libs: -L\${libdir} -lsnappy
EOF

install -Dm 0644 snappy.pc %{buildroot}%{_libdir}/pkgconfig/snappy.pc


%check
ctest -V


%files -n %{libname}
%doc AUTHORS COPYING NEWS README.md
%{_libdir}/libsnappy.so.%{major}*

%files -n %{develname}
%doc format_description.txt framing_format.txt
%{_includedir}/snappy*.h
%{_libdir}/libsnappy.so
%{_libdir}/pkgconfig/snappy.pc
%{_libdir}/cmake/Snappy/


%changelog
* Wed Jun 20 2018 bb2 <bb2> - 1.1.7-1pclos2018
- new version
